%bcond_with memoryfilesystem
Name:                assertj-core
Version:             3.8.0
Release:             2
Summary:             Library of assertions similar to fest-assert
License:             ASL 2.0
URL:                 http://joel-costigliola.github.io/assertj/
Source0:             https://github.com/joel-costigliola/assertj-core/archive/assertj-core-%{version}.tar.gz
BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin) mvn(cglib:cglib-nodep)
%if %{with memoryfilesystem}
BuildRequires:       mvn(com.github.marschall:memoryfilesystem)
%endif
BuildRequires:       mvn(junit:junit) mvn(org.mockito:mockito-core)
BuildArch:           noarch

%description
A rich and intuitive set of strongly-typed assertions to use for unit testing
(either with JUnit or TestNG).

%package javadoc
Summary:             API documentation for %{name}

%description javadoc
This package provides API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.assertj</groupId>"
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-shade-plugin
%pom_remove_plugin :maven-dependency-plugin
%pom_remove_plugin org.jacoco:jacoco-maven-plugin
rm -rf ./src/test/java/org/assertj/core/error/ShouldContainString_create_Test.java
%if %{without memoryfilesystem}
%pom_remove_dep :memoryfilesystem
rm -r src/test/java/org/assertj/core/internal/{Paths*.java,paths}
%endif
%pom_remove_dep com.tngtech.java:junit-dataprovider

%build
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md CONTRIBUTING.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc CONTRIBUTING.md
%license LICENSE.txt

%changelog
* Fri Sep 4 2020 chengzihan <chengzihan2@huawei.com> - 3.8.0-2
- disable memoryfilesystem option

* Thu Aug 13 2020 leiju <leiju4@huawei.com> - 3.8.0-1
- Package init
